mnoGoSearch 3.2.15 Руководство: Поисковая машина
Пред.След.

Глава 2. Установка

Требования к SQL базе даных

Если вы хотите скомпилировать mnoGoSearch с одной из поддерживаемых SQL баз данных, вы должны установить эту SQL базу данных до начала установки mnoGoSearch.

Начиная с версии 3.2 возможно использовать несколько различных SQL баз данных одновременно.

Вы также должны иметь права на создание новой базы данных и/или записи в уже существующую базу данных.

О MySQL: Мы протестировали mnoGoSearch с версиями MySQL 3.22.x, 3.23.x, версия 3.21.xx не будет работать с mnoGoSearch. Библиотека libz должна быть также установлена для успешной компиляции mnoGoSearch с поддержкой MySQL. Пользователи Linux могут установить ее из zlib-devel RPM.

О PostgreSQL: Если вы хотите собрать mnoGoSearch с поддержкой PostgreSQL, вам потребуется версия старше 6.5.x, начиная с которой поддерживается ограничение LIMIT в SQL-запросах. Замечено, что PgSQL-6.5.3 падает при использовании режимов хранения "crc" и "crc-multi".

Об iODBC: работает с iodbc-2.50.22a.

Об unixODBC: работает с unixODBC-1.7.

О Solid: работает с версией 03.00.0043.

Об InterBase:

  • Работает с Interbase 4.0.

  • Работает с InterBase CS 6.0.

  • Работает с FirebirdCS-0.9-4.

О FreeTDS: Работает с версий 0.52 и с MS SQL 7.0.

Об Oracle8: Работает с версией 8.0.5.X.

Об Oracle8i: Работает с версией 8.1.6 R2 EE.

Об IBM DB2: Работает с V7.1 EE.


Пред.НачалоСлед.
Часто задаваемые вопросы (FAQ)  Поддерживаемые операционные системы


Наш баннер
Вы можете установить наш баннер на своем сайте или блоге, скопировав этот код:
RSS новости